Page MenuHomePhabricator

Give all users (including IPs) the pagequality right in plwikisource
Closed, ResolvedPublic

Description

During the recent discussion in plwikisource:
https://pl.wikisource.org/wiki/Wiki%C5%BAr%C3%B3d%C5%82a:Skryptorium/Pulpit_techniczny#Status_proofread_a_anonimowi_u%C5%BCytkownicy
we found that allowing IP users to set proofread status has more advantages than disadvantages and we have got a consensus to give them this right (9 users supported, nobody opposes).
So we ask for the pagequality right to be set in pl.ws as it has already been set the de.ws (T29516: Give all User the right to change proofreading states on de-Wikisource)

Event Timeline

Ankry created this task.Dec 20 2018, 11:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2018, 11:35 PM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 20 2018, 11:53 PM

Change 481107 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Give all users (including IPs) the pagequality right in plwikisource

https://gerrit.wikimedia.org/r/481107

Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Ankry added a comment.EditedDec 21 2018, 7:23 AM

@Urbanecm As you can see in T29516, for de.ws the right is set in CommonSettings.php and ProofreadPage.php. Maybe, this was ugly and outdated hack, but I assume there was a reason to do this that way. Will your patch work?

Hi @Ankry, as you can see in a mirror of our repository, there's no file called ProofreadPage.php. Nowadays, CommonSettings.php contains only settings that's common to all wikis, like the logic for loading Proofread extension itself, and InitialiseSettings.php contains settings that are applied per wiki, like group rights changes and similar. There are still extensions that have own files for custom logic, but that's not the case for Proofread. The task you linked is almost 8 years old, the system of doing changes changed a lot.

Hi, I've scheduled deployment of this task for today, 12:00-13:00 UTC, EU SWAT.

Change 481107 merged by jenkins-bot:
[operations/mediawiki-config@master] Give all users (including IPs) the pagequality right in plwikisource

https://gerrit.wikimedia.org/r/481107

Mentioned in SAL (#wikimedia-operations) [2019-01-08T12:57:37Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:481107|Give all users (including IPs) the pagequality right in plwikisource (T212478)]] (duration: 00m 45s)

Urbanecm closed this task as Resolved.Jan 8 2019, 2:27 PM